#
# spec file for package jupyter-jupyterlab-server
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jupyter-jupyterlab-server
Version:        1.0.6
Release:        bp154.1.41
Summary:        Server components for JupyterLab and JupyterLab-like applications
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jupyterlab/jupyterlab_server
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab-server/jupyterlab_server-%{version}.tar.gz
Source100:      jupyter-jupyterlab-server-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       jupyter-notebook >= 4.2.0
Requires:       python3-Jinja2 >= 2.10
Requires:       python3-base >= 3.5
Requires:       python3-json5
Requires:       python3-jsonschema >= 2.6
Provides:       python3-jupyter_jupyterlab_server = %{version}
Obsoletes:      python3-jupyter_jupyterlab_server < %{version}
Provides:       python3-jupyterlab-server = %{version}
Provides:       jupyter-jupyterlab-launcher = %{version}
Obsoletes:      jupyter-jupyterlab-launcher < %{version}
Provides:       python3-jupyter_jupyterlab_launcher = %{version}
Obsoletes:      python3-jupyter_jupyterlab_launcher < %{version}
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  jupyter-notebook >= 4.2.0
BuildRequires:  python3-Jinja2 >= 2.10
BuildRequires:  python3-base >= 3.5
BuildRequires:  python3-json5
BuildRequires:  python3-jsonschema >= 2.6
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
# /SECTION

%description
This package is used to launch an application built using JupyterLab.

%prep
%setup -q -n jupyterlab_server-%{version}

%build
%python3_build

%install
%python3_install
%fdupes %{buildroot}%{python3_sitelib}

%check
pytest-%{python3_bin_suffix} -v .

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/jupyterlab_server/
%{python3_sitelib}/jupyterlab_server-%{version}-py*.egg-info/

%changelog
* Tue Aug 20 2019 Todd R <toddrme2178@gmail.com>
- Update to 1.0.6
  * Add .json.orig files to sdists
- Disable spurious rpmlint checks.
  They are incorrectly flagging valid test files.
  These tests are used by other packages besides this one,
  so they need to stay in.
* Tue Aug 20 2019 Todd R <toddrme2178@gmail.com>
- This replaces jupyterlab-launcher
* Sat Jul 27 2019 Todd R <toddrme2178@gmail.com>
- Update to 1.0.5
  * require jinja2 to make tojson always safe
- Update to 1.0.4
  * use escape instead of urlencode for urls
- Update to 1.0.3
  * Escape template values in Jinja
- Update to 1.0.2
  * Add store ID to page config
- Update to 1.0.1
  * fix page config escaping
- Update to 1.0.0
  * jupyterlab 1.0.0 support
* Thu May 16 2019 Todd R <toddrme2178@gmail.com>
- Fix conflict with newer version on openSUSE:Factory
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Roll back to version 0.2.0, jupyterlab is not compatible with 0.3.0.
- Rename to to match jupyter package naming guidelines.
* Mon Mar 11 2019 Todd R <toddrme2178@gmail.com>
- Simplify files somewhat
- Grammar fix in summary
* Sat Mar  2 2019 Arun Persaud <arun@gmx.de>
- specfile:
  * remove devel from noarch
  * be more specific in %%files section
- update to version 0.3.0:
  * Update workspaces listing to include values.
* Mon Jan  7 2019 Todd R <toddrme2178@gmail.com>
- Initial version (0.2.0)
